var textImageData = {};

var TAB_4 = {};
TAB_4.pageContentObj;
TAB_4.visitedArr = [];
TAB_4.lastClicked;

let _shell_wrapper = $('#shell_wrapper');

TAB_4.initPage = function (data) {
    TAB_4.pageContentObj = data;
    TAB_4.visitedArr = [];

    $(".ins_text1").html(data.ins_text1);
    $(".ins_text2").html(data.ins_text2);
    $(".ins_text").html(data.ins_text);
    $(".row_counter").addClass("fadeInUp");

    $(".tab").each(function (i) {
        $(this).html(data["click_" + (i + 1)]);
        $(this).data("idx", (i + 1));
        $("#popup_" + (i + 1) + "_Container .popupText").html(data["click_" + (i + 1) + "_text"])
        TAB_4.visitedArr.push(0);
    });

    $("#bottomText").html(data.bottom_text);

}


TAB_4.updateAudio = function (_btn, num) {

}

TAB_4.checkCompletion = function () {

    if (jQuery.inArray(0, TAB_4.visitedArr) == -1) {
        Utils.pageCompleted()
    }
}

TAB_4.addListeners = function () {

    $(".tab").parent().addClass("enabled");
    $(".tab1").hide()

    $(".tab").off("click").on("click", function () {
        if (TAB_4.lastClicked == undefined || TAB_4.lastClicked.attr('id') != $(this).attr('id') && $(this).parent().hasClass("enabled")) {
            $(".tab").parent().removeClass("selected enabled");
            $(this).parent().addClass("selected");
            if ((!$(this).parent().hasClass('visited')) || (!$(this).hasClass('visited'))) {
                $(".closeBtn").removeClass("enabled");
            }

            var eName = $(this).attr("id");
            var num = parseInt(eName.slice(3, 4));
            $(".ins_text2").hide();
            $(".contentCont #container").fadeOut()
            if (num == 1) {
                $(".ins_text1").hide();
                $(".ins_text2").show();
                setTimeout(function () {
                    $(".contentCont #container").fadeIn()
                    initCourosel();
                }, 300)
            }

            TAB_4.lastClicked = $(this);
        }
    });

    setTimeout(function () {
        $(".btnContainer .tab1").trigger("click")
    }, 300)

}





var init_activity = (function () {
    this.init = function (data, callback) {
        TAB_4.initPage(data);
        setTimeout(function () {
            TAB_4.addListeners();
        }, 400);
    };
    return this;

})

///  courosel is //////////////////////

let initCourosel = function () {
    $(".carousel-container #box6").show();
    addClickActivity();
};


let addClickActivity = function () {
    TAB_4.visitedArr = []
    let _tabs = $(".text_model_style .tabclick")
    _tabs.each(function (i) {
        TAB_4.visitedArr.push(0)
    })

    _tabs.off("click").on("click", function () {

        let _btn = $(this);

        if (_btn.hasClass("disabled")) return;
        _tabs.removeClass("selected");

        _tabs.addClass('disabled').removeClass('active');
        $(".contentWrapper .group_wrapper .popCloseBtn").addClass('disabled')
        let num = parseInt(_btn.attr("id").slice(8, 9));
        //$(".contentWrapper .revealTxt").hide();
        _btn.addClass("selected");
        if (_btn.hasClass("group_1")) {
            $(".contentWrapper .group_wrapper").addClass("group_1").removeClass("group_2");
        } else {
            $(".contentWrapper .group_wrapper").addClass("group_2").removeClass("group_1");
        }
        $(".contentWrapper .group_wrapper").find(".tab_cont").html("")
        $(".contentWrapper .group_wrapper").find(".tab_cont").html(TAB_4.pageContentObj.popupData[num - 1].description)
        $(".contentWrapper .group_wrapper").show();

        //$(".contentWrapper .revealTxt_" + num).show();
        if (TAB_4.pageContentObj.popupData[num - 1].hasVideo) {

        }

        Utils.updateAudio(TAB_4.pageContentObj.audio[num], function () {
            if (TAB_4.pageContentObj.popupData[num - 1].hasVideo) {
                addEventOnJoinPodCast(num, _btn);
            } else {
                TAB_4.visitedArr[num - 1] = 1;
                _btn.addClass("visiteded");
            }

            /// _tabs.removeClass('disabled').addClass('active');
            $(".contentWrapper .group_wrapper .popCloseBtn").removeClass('disabled')
            let _data = {
                'qNo': num,
                'r': 1
            }
            _shell_wrapper.trigger("tabClicked", _data);

            TAB_4.checkCompletion();

        })
    }).addClass('disabled').removeClass('active');
    $(".contentWrapper .group_wrapper .popCloseBtn").off("click").on("click", function () {
        _tabs.removeClass('disabled').addClass('active');
        $(".contentWrapper .group_wrapper").hide();
        $(".contentWrapper .group_wrapper").removeClass("group_1").removeClass("group_2");

    })
    let _pageData = {
        'aD': {},
        'pr': "",
        'sr': 0,
        'sts': 0
    };
    var addEventOnJoinPodCast = function (num, _btn) {
        let video = TAB_4.pageContentObj.popupData[num - 1].video
        let btn = $("#play-video");
        btn.removeClass("disabled");
        btn.off("click").on("click", function () {
            let vData = video[0];
            vData['sts'] = _pageData['sts'];
            Utils.simple_tab5_addPopupVideo(vData, function () {

            });
            TAB_4.visitedArr[num - 1] = 1;
            _btn.addClass("visiteded");
            TAB_4.checkCompletion();

        }).addClass("active");
        //addTabIndexing();

    }





}